using System;
using System.Collections;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;
using UnityEngine;
using UnityEngine.SceneManagement;
using System.Linq;
using TMPro;
using UnityEngine.UI;

namespace Armor
{
    public class Mod
    {
        public static void Main()
        {
			CategoryBuilder.Create("Law Enforcement: Germany", "The 2cond pack of Law Enforcement series, dedicated to Germany Police and Special Forces of the Police.", ModAPI.LoadSprite("Categorythumbnail.png")); 

            ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "Steyr AUG",
                 DescriptionOverride = "The AUG is an assault rifle made by Steyr-Arms in Austria, caliber 5.56 mm or 9mm in its submachine gun version (AUG SMG), it is used in various police and military special forces around the world and used by the commandos of the SEK in Germany.",
                 CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"),
                 ThumbnailOverride = ModAPI.LoadSprite("ICONS/Steyr AUG.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/augbolt.png", 15f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/aug.png", 15f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
					 Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.500f, 0.1200f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);					 
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
					  Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("Guns/1aug.mp3"),
                     };
                 }
             }
             ); ;     		 

            ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "Heckler & Kock, MP-5A4, Variant 1",
                 DescriptionOverride = "The MP-5 submachine gun is a world-famous submachine gun made by Heckler & Kock in Germany during the 1960s charambered in 9mm, it has many variants, the A5 being the most modern, it is used by almost all police and military special forces in the world for its reliability, quality, price, rate and caliber.",
                 CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"),
                 ThumbnailOverride = ModAPI.LoadSprite("ICONS/MP5A4.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/mp5a4bolt.png", 12f);

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/mp5a4.png", 12f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
					 Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.465f, 0.1200f);  
                     firearm.casingPosition = new Vector3(0.100f,0.100f);						 
                     customCartridge.name = "9mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
					  Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("Guns/1mp5a4.wav"),
                     };
                 }
             }
             ); ;
			 
			             ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "Heckler & Kock, MP-5A4, Variant 3",
                 DescriptionOverride = "The MP-5 submachine gun is a world-famous submachine gun made by Heckler and Kock in Germany during the 1960s charambered in 9mm, it has many variants, the A5 being the most modern, it is used by almost all police and military special forces in the world for its reliability, quality, price, rate and caliber.",
                 CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"),
                 ThumbnailOverride = ModAPI.LoadSprite("ICONS/MP5A4 Custom.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/mp5a4custombolt.png", 12f);

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/mp5a4custom.png", 12f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
					 Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.465f, 0.1200f);  
                     firearm.casingPosition = new Vector3(0.100f,0.100f);						 
                     customCartridge.name = "9mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
					  Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("Guns/1mp5a4.wav"),
                     };
                 }
             }
             ); ;
			 
			 			             ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "Heckler & Kock, MP-5A4, Variant 2",
                 DescriptionOverride = "The MP-5 submachine gun is a world-famous submachine gun made by Heckler and Kock in Germany during the 1960s charambered in 9mm, it has many variants, the A5 being the most modern, it is used by almost all police and military special forces in the world for its reliability, quality, price, rate and caliber.",
                 CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"),
                 ThumbnailOverride = ModAPI.LoadSprite("ICONS/MP5A4 Integrated Flashlight.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/mp5a4bolt.png", 12f);

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/mp5a4if.png", 12f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
					 Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.465f, 0.1200f);  
                     firearm.casingPosition = new Vector3(0.100f,0.100f);						 
                     customCartridge.name = "9mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
					  Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("Guns/1mp5a4.wav"),
                     };
                 }
             }
             ); ;
			 
			            ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "Heckler & Kock, MP-7",
                 DescriptionOverride = "The MP-7 is a German submachine gun manufactured by Heckler & Koch, charambered in 4.6 mm, used by many, it is a compact and good quality weapon, with many spaces for attachments.",
                 CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"),
                 ThumbnailOverride = ModAPI.LoadSprite("ICONS/MP7.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/mp7bolt.png", 15f);

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/mp7.png", 15f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
					 Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.465f, 0.1200f);  
                     firearm.casingPosition = new Vector3(0.100f,0.100f);						 
                     customCartridge.name = "9mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
					  Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("Guns/1mp7.wav"),
                     };
                 }
             }
             ); ;
			 
			 			 
			 
			 			 			             ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "Heckler & Kock, UMP-45",
                 DescriptionOverride = "The UMP-45 is a German submachine gun manufactured by Heckler & Koch, charambered in 45. ACP, used by many police and military special forces in the world, being considered as the supposed older brother of the MP-5, due to its superior caliber and its similar characteristics.",
                 CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"),
                 ThumbnailOverride = ModAPI.LoadSprite("ICONS/UMP45.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/ump45bolt.png", 12f);

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/ump45custom.png", 12f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
					 Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.465f, 0.1200f);  
                     firearm.casingPosition = new Vector3(0.100f,0.100f);						 
                     customCartridge.name = "45. ACP";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
					  Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("Guns/1ump.wav"),
                     };
                 }
             }
             ); ;

            ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "Heckler & Koch, HK-416",
                 DescriptionOverride = "The HK-416 is a German assault rifle manufactured by Heckler & Koch, charambered in the 5.56 × 45 mm NATO caliber, similar to the G-36 of the same brand and made to have it as a secondary option to it, it has many better to the G-36 of which the most notorious are the spaces for attachments, also, it is used by many countries of the world and is an improved version of the American M4.",
                 CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"),
                 ThumbnailOverride = ModAPI.LoadSprite("ICONS/HK-416.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/hk416bolt.png", 15f);

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/hk416.png", 15);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
					  Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.600f, 0.1200f); 
					  firearm.casingPosition = new Vector3(0.000f,0.100f);	
                     customCartridge.name = "5.56x45mm";
                     Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("Guns/1hk416.wav"),
                     };
                 }
             }
             ); ;
			 
			             ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "Heckler & Koch, G-36C",
                 DescriptionOverride = "The G-36C is a German assault rifle manufactured by Heckler & Koch, charambered in 5.56mm caliber. This is the compact version of the Original G-36 being used mostly to its predecessor, it is very useful for CQB and has a hybrid rail between scope and grip to carry in most of its variants, such as the American M4.",
                 CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"),
                 ThumbnailOverride = ModAPI.LoadSprite("ICONS/G-36C.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/g36cbolt.png", 15f);

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/g36c.png", 15);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
					  Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.600f, 0.1200f); 
					  firearm.casingPosition = new Vector3(0.000f,0.100f);	
                     customCartridge.name = "5.56x45mm";
                     Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("Guns/1g36.wav"),
                     };
                 }
             }
             ); ;
			 
			             ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "Heckler & Koch, G-36",
                 DescriptionOverride = "The G-36 is a German assault rifle manufactured by Heckler & Koch, charambered in 5.56mm caliber. This was created as a substitute for the already old for its time (1990s) G3, being accepted with very good reviews and used by all the military and police branches of the world and mainly Europe and Germany.",
                 CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"),
                 ThumbnailOverride = ModAPI.LoadSprite("ICONS/G-36.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/g36bolt.png", 15f);

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/g36.png", 15);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
					  Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.600f, 0.1200f); 
					  firearm.casingPosition = new Vector3(0.000f,0.100f);	
                     customCartridge.name = "5.56x45mm";
                     Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("Guns/1g36.wav"),
                     };
                 }
             }
             ); ;
			 
			             ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "Heckler & Koch, G-3A3",
                 DescriptionOverride = "The G-3 is a German combat rifle charambered in 7.62x51mm and manufactured by Heckler & Koch in collaboration with the Spanish company CETME in the 1950s, being very useful at that time and used by almost all German military forces at the time, now being replaced by the G-36 and being used for target practice and rarely in combat to this day.",
                 CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"),
                 ThumbnailOverride = ModAPI.LoadSprite("ICONS/G3-A3.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/g3a3bolt.png", 12f);

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/g3a3.png", 12f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("7.62x51mm");
					  Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.600f, 0.1200f); 
					  firearm.casingPosition = new Vector3(0.000f,0.100f);	
                     customCartridge.name = "7,62 mm";
                     Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     customCartridge.Recoil *= 3f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("Guns/1g3a3.wav"),
                     };
                 }
             }
             ); ;
			 
			 			             ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "Heckler & Koch, HK-433",
                 DescriptionOverride = "The HK-433 is a modular and compact German-made assault rifle by Heckler & Koch, released in 2017, the modern 5.56mm and 7.62mm caliber rifle in another variant, is being chosen by many military forces and police due to their characteristics.",
                 CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"),
                 ThumbnailOverride = ModAPI.LoadSprite("ICONS/HK-433.png"),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/hk433bolt.png", 12f);

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/hk433.png", 12f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
					  Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.600f, 0.1200f); 
					  firearm.casingPosition = new Vector3(0.000f,0.100f);	
                     customCartridge.name = "5.56x45mm";
                     Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("Guns/1hk433.wav"),
                     };
                 }
             }
             ); ;

            ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "Heckler & Koch, PSG-1",
                 DescriptionOverride = "The PSG-1 sniper, is a German sniper charambered in 7,62mm manufactured by Heckler & Koch and used in almost all police and military branches of Germany and mainly European countries, it is a variant of the G3 combat rifle modernized to fulfill long-range shooting tasks.",
                 CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"),
                 ThumbnailOverride = ModAPI.LoadSprite("ICONS/PSGT-1.png"),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/psg1bolt.png", 12f);

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/psg1.png", 12f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
					 firearm.casingPosition = new Vector3(-0.0100f,0.100f);
		             Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.000f); 
                     customCartridge.name = "7,62 mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("Guns/1g3a3.wav"),
                     };
                 }
             }
             ); ;
			 
			             ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Pistol"),
                 NameOverride = "Heckler & Koch, VP-9",
                 DescriptionOverride = "The HK VP-9 pistol is a German-made pistol made by Heckler & Koch and manufactured in 9mm, it is widely used in the German police forces and has a picatiny rail for accessories.",
                 CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"),
                 ThumbnailOverride = ModAPI.LoadSprite("ICONS/VP-9.png"),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/vp9bolt.png", 27f);

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/vp9.png", 27f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "9mm";
                     customCartridge.Recoil *= 3f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("Guns/1vp9.wav"),
                     };
                 }
             }
             ); ;

ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Pistol"),
                 NameOverride = "Heckler & Koch, USP, Tan Variant",
                 DescriptionOverride = "The USP is a German 45mm caliber pistol manufactured by Heckler & Koch and manufactured for the USA, used by almost every police department in Germany and a few others for its incredible quality and availability to add attachments in the tactical variant.",
                 CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"),
                 ThumbnailOverride = ModAPI.LoadSprite("ICONS/USP 1.png"),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/uspbolt.png", 23f);

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/usp.png", 23f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "45. ACP";
                     customCartridge.Recoil *= 3f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("Guns/1usp.wav"),
                     };
                 }
             }
             ); ;
			 
            ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Pistol"),
                 NameOverride = "Heckler & Koch, USP, Black Variant",
                 DescriptionOverride = "The USP is a German 45mm caliber pistol manufactured by Heckler & Koch and manufactured for the USA, used by almost every police department in Germany and a few others for its incredible quality and availability to add attachments in the tactical variant.",
                 CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"),
                 ThumbnailOverride = ModAPI.LoadSprite("ICONS/USP 2.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/uspbolt.png", 23f);

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/usp2.png", 23f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "45. ACP";
                     customCartridge.Recoil *= 3f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("Guns/1usp.wav"),
                     };
                 }
             }
             ); ;
			 
            ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Pistol"),
                 NameOverride = "Heckler & Koch, USP Tactical, Black Variant",
                 DescriptionOverride = "The USP is a German 45mm caliber pistol manufactured by Heckler & Koch and manufactured for the USA, used by almost every police department in Germany and a few others for its incredible quality and availability to add attachments in the tactical variant.",
                 CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"),
                 ThumbnailOverride = ModAPI.LoadSprite("ICONS/USP Tactical 2.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/usptacticalbolt.png", 23f);

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/usptactical2.png", 23f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "45. ACP";
                     customCartridge.Recoil *= 3f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("Guns/1usp.wav"),
                     };
                 }
             }
             ); ;
			 
            ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Pistol"),
                 NameOverride = "Heckler & Koch, USP Tactical, Tan Variant",
                 DescriptionOverride = "The USP is a German 45mm caliber pistol manufactured by Heckler & Koch and manufactured for the USA, used by almost every police department in Germany and a few others for its incredible quality and availability to add attachments in the tactical variant.",
                 CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"),
                 ThumbnailOverride = ModAPI.LoadSprite("ICONS/USP Tactical 1.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/usptacticalbolt.png", 23f);

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/usptactical.png", 23f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "45. ACP";
                     customCartridge.Recoil *= 3f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("Guns/1usp.wav"),
                     };
                 }
             }
             ); ;
			 
			 			 
			 			             ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Pistol"),
                 NameOverride = "Sig Sauer, P-226",
                 DescriptionOverride = "The SIG Sauer P-226 is a German pistol manufactured by Sig Sauer, charambed in 9mm and used by various security departments due to its reliability and quality.",
                 CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"),
                 ThumbnailOverride = ModAPI.LoadSprite("ICONS/P-226.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/p226bolt.png", 23f);

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/p226.png", 23f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "9mm";
                     customCartridge.Recoil *= 3f;
                     customCartridge.ImpactForce *= 3f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("Guns/1p226.wav"),
                     };
                 }
             }
             ); ;

			 			             ModAPI.Register(
             new Modification()
             {
              OriginalItem = ModAPI.FindSpawnable("Pistol"),
                 NameOverride = "Carl Walther, P-99",
                 DescriptionOverride = "The Walther P-99 is a German pistol manufactured by Carl Walther, charambed in 9mm or 10mm and used by various law enforcement departments in Germany and some other countries.",
                 CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"),
                 ThumbnailOverride = ModAPI.LoadSprite("ICONS/Walther P99.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/waltherp99bolt.png", 37f);

                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/waltherp99.png", 37f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "9mm";
                     customCartridge.Recoil *= 3f;
                     customCartridge.ImpactForce *= 3f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("Guns/1waltherp99.wav"),
                     };
                 }
             }
             ); ;
			
			       ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Ceramic Heavy Bulletproof Vest, Variant 1", 
                    DescriptionOverride = "A level 5 ceramic armor with neck and abdomen coverage up to mid-waist, it is known as Zhuk-3 in its Russian-made version. You can use this in Riot Police, the priority is to use it on the Riot Police, SEK and GSG-9, but use it however you want.", 
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/Riot Police Vest.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/sekarmor1.png", 6); 

                        int PartCount = 5;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        Vector3 offset = new Vector3(0f, 0f);
                        Vector3 scaleOffset = new Vector3(0f, 0f);                  
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Armor/sekarmor1.png", 6);
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 350;
                        armor.prop = prop;
                        armor.SetProperties();
                        
                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("Armor/sekarmor2.png", 6);
                        armProp[0].armorPiece = "MiddleBody";
                        armProp[0].offset = offset;
                        armProp[0].armorTier = 3;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 350;

                        armProp[1].sprite = ModAPI.LoadSprite("Armor/sekarmor3.png", 6);
                        armProp[1].armorPiece = "LowerBody";
                        armProp[1].offset = offset;
                        armProp[1].armorTier = 2;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 250;

                        armProp[2].sprite = ModAPI.LoadSprite("Armor/sekarmor4.png", 6);
                        armProp[2].armorPiece = "UpperArmFront";
                        armProp[2].offset = offset;
                        armProp[2].armorTier = 2;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 150;

                        armProp[3].sprite = ModAPI.LoadSprite("Armor/sekarmor4.png", 6);
                        armProp[3].armorPiece = "UpperArm";
                        armProp[3].offset = offset;
                        armProp[3].armorTier = 2;
                        armProp[3].scaleOffset = scaleOffset;
                        armProp[3].armorPoints = 150;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
			
			
			       ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Ceramic Heavy Bulletproof Vest, Variant 2", 
                    DescriptionOverride = "A level 5 ceramic armor with neck and abdomen coverage up to mid-waist, it is known as Zhuk-3 in its Russian-made version. You can use this in Riot Police, the priority is to use it on the Riot Police, SEK and GSG-9, but use it however you want.", 
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/GSG9 Vest 2.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/sektanarmor.png", 6); 

                        int PartCount = 5;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        Vector3 offset = new Vector3(0f, 0f);
                        Vector3 scaleOffset = new Vector3(0f, 0f);                  
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Armor/sektanarmor.png", 6);
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 350;
                        armor.prop = prop;
                        armor.SetProperties();
                        
                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("Armor/sektanarmor2.png", 6);
                        armProp[0].armorPiece = "MiddleBody";
                        armProp[0].offset = offset;
                        armProp[0].armorTier = 3;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 350;

                        armProp[1].sprite = ModAPI.LoadSprite("Armor/sektanarmor3.png", 6);
                        armProp[1].armorPiece = "LowerBody";
                        armProp[1].offset = offset;
                        armProp[1].armorTier = 2;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 250;

                        armProp[2].sprite = ModAPI.LoadSprite("Armor/sektanarmor4.png", 6);
                        armProp[2].armorPiece = "UpperArmFront";
                        armProp[2].offset = offset;
                        armProp[2].armorTier = 2;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 150;

                        armProp[3].sprite = ModAPI.LoadSprite("Armor/sektanarmor4.png", 6);
                        armProp[3].armorPiece = "UpperArm";
                        armProp[3].offset = offset;
                        armProp[3].armorTier = 2;
                        armProp[3].scaleOffset = scaleOffset;
                        armProp[3].armorPoints = 150;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
			
			ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "Ceramic Heavy Bulletproof Vest, Variant 3", 
                    DescriptionOverride = "A level 5 ceramic armor with neck and abdomen coverage up to mid-waist, it is known as Zhuk-3 in its Russian-made version. The priority is to use it on the Riot Police, SEK and GSG-9, but use it however you want.", 
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/SEK Vest 3.png"), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/sekgreenarmor.png", 6); 

                        int PartCount = 5;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        Vector3 offset = new Vector3(0f, 0f);
                        Vector3 scaleOffset = new Vector3(0f, 0f);                  
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Armor/sekgreenarmor.png", 6);
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 350;
                        armor.prop = prop;
                        armor.SetProperties();
                        
                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("Armor/sekgreenarmor2.png", 6);
                        armProp[0].armorPiece = "MiddleBody";
                        armProp[0].offset = offset;
                        armProp[0].armorTier = 3;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 350;

                        armProp[1].sprite = ModAPI.LoadSprite("Armor/sekgreenarmor3.png", 6);
                        armProp[1].armorPiece = "LowerBody";
                        armProp[1].offset = offset;
                        armProp[1].armorTier = 2;
                        armProp[1].scaleOffset = scaleOffset;
                        armProp[1].armorPoints = 250;

                        armProp[2].sprite = ModAPI.LoadSprite("Armor/sekgreenarmor4.png", 6);
                        armProp[2].armorPiece = "UpperArmFront";
                        armProp[2].offset = offset;
                        armProp[2].armorTier = 2;
                        armProp[2].scaleOffset = scaleOffset;
                        armProp[2].armorPoints = 150;

                        armProp[3].sprite = ModAPI.LoadSprite("Armor/sekgreenarmor4.png", 6);
                        armProp[3].armorPiece = "UpperArm";
                        armProp[3].offset = offset;
                        armProp[3].armorTier = 2;
                        armProp[3].scaleOffset = scaleOffset;
                        armProp[3].armorPoints = 150;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );

			
				            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "AM-95 Helmet, Variant 1", 
                    DescriptionOverride = "The AM-95 helmet is a German helmet made in 1980s, it has holes for headphones on both sides and its rare appearance rewards it with its quality. The priority is to use it on the Riot Police, SEK and GSG-9, but use it however you want.", 
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/AM-95 Helmet.png", 30f), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/am-95.png", 6f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Armor/am-95.png", 6f);
                        prop.armorPoints = 300;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );
			
							            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "AM-95 Helmet, Variant 2", 
                    DescriptionOverride = "The AM-95 helmet is a German helmet made in 1980s, it has holes for headphones on both sides and its rare appearance rewards it with its quality. The priority is to use it on the Riot Police, SEK and GSG-9, but use it however you want.", 
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/AM-95 Helmet 2.png", 30f), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/am-95.png", 6f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Armor/am-95 2.png", 6f);
                        prop.armorPoints = 300;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );
			
						
			            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "OPS-Core Fast Helmet, Variant 1", 
                    DescriptionOverride = "The OPS-Core Fast helmet is the most advanced in helmets today, with mounts for NVGs, batteries, cameras, flashlights, extra protection and a long list, it is used by almost everyone for its protection and low weight. The priority is to use it in the GSG-9 and the SEK, but you can use it however you want.", 
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/OPS Core Fast Helmet.png", 30f), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/opscorefast1.png", 6f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Armor/opscorefast1.png", 6f);
                        prop.armorPoints = 300;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );
			
						            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "OPS-Core Fast Helmet, Variant 2", 
                    DescriptionOverride = "The OPS-Core Fast helmet is the most advanced in helmets today, with mounts for NVGs, batteries, cameras, flashlights, extra protection and a long list, it is used by almost everyone for its protection and low weight. The priority is to use it in the GSG-9 and the SEK, but you can use it however you want.", 
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/OPS Core Fast Helmet 1 2.png", 30f), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/opscorefast2.png", 6f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Armor/opscorefast2.png", 6f);
                        prop.armorPoints = 300;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );
			
						            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "OPS-Core Fast Helmet, Variant 3", 
                    DescriptionOverride = "The OPS-Core Fast helmet is the most advanced in helmets today, with mounts for NVGs, batteries, cameras, flashlights, extra protection and a long list, it is used by almost everyone for its protection and low weight. The priority is to use it in the GSG-9 and the SEK, but you can use it however you want.", 
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/OPS Core Fast Helmet 2.png", 30f), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/opscorefast4.png", 6f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Armor/opscorefast4.png", 6f);
                        prop.armorPoints = 300;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );
			
						            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "OPS-Core Fast Helmet, Variant 4", 
                    DescriptionOverride = "The OPS-Core Fast helmet is the most advanced in helmets today, with mounts for NVGs, batteries, cameras, flashlights, extra protection and a long list, it is used by almost everyone for its protection and low weight. The priority is to use it in the GSG-9 and the SEK, but you can use it however you want.", 
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/OPS Core Fast Helmet 2-2.png", 30f), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/opscorefast5.png", 6f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Armor/opscorefast5.png", 6f);
                        prop.armorPoints = 300;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );
			
									            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "OPS-Core Fast Helmet, Variant 5", 
                    DescriptionOverride = "The OPS-Core Fast helmet is the most advanced in helmets today, with mounts for NVGs, batteries, cameras, flashlights, extra protection and a long list, it is used by almost everyone for its protection and low weight. The priority is to use it in the GSG-9 and the SEK, but you can use it however you want.", 
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/OPS Core Fast Helmet 3.png", 30f), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/opscorefast9.png", 6f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Armor/opscorefast9.png", 6f);
                        prop.armorPoints = 300;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );
			
						            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "OPS-Core Fast Helmet, Variant 6", 
                    DescriptionOverride = "The OPS-Core Fast helmet is the most advanced in helmets today, with mounts for NVGs, batteries, cameras, flashlights, extra protection and a long list, it is used by almost everyone for its protection and low weight. The priority is to use it in the GSG-9 and the SEK, but you can use it however you want.", 
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/OPS Core Fast Helmet 3-2.png", 30f), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/opscorefast8.png", 6f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Armor/opscorefast8.png", 6f);
                        prop.armorPoints = 300;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );
			
									            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "OPS-Core Fast Helmet, Face-Cover, Variant 1", 
                    DescriptionOverride = "The OPS-Core Fast helmet is the most advanced in helmets today, with mounts for NVGs, batteries, cameras, flashlights, extra protection and a long list, it is used by almost everyone for its protection and low weight. The priority is to use it in the GSG-9 and the SEK, but you can use it however you want.", 
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/OPS Core Fast Helmet FC 1.png", 30f), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/opscorefast3.png", 6f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Armor/opscorefast3.png", 6f);
                        prop.armorPoints = 300;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );
			
									            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "OPS-Core Fast Helmet, Face-Cover, Variant 2	", 
                    DescriptionOverride = "The OPS-Core Fast helmet is the most advanced in helmets today, with mounts for NVGs, batteries, cameras, flashlights, extra protection and a long list, it is used by almost everyone for its protection and low weight. The priority is to use it in the GSG-9 and the SEK, but you can use it however you want.", 
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/OPS Core Fast Helmet FC 2.png", 30f), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/opscorefast6.png", 6f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Armor/opscorefast6.png", 6f);
                        prop.armorPoints = 300;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );
			
						            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "OPS-Core Fast Helmet, Face-Cover, Variant 3", 
                    DescriptionOverride = "The OPS-Core Fast helmet is the most advanced in helmets today, with mounts for NVGs, batteries, cameras, flashlights, extra protection and a long list, it is used by almost everyone for its protection and low weight. The priority is to use it in the GSG-9 and the SEK, but you can use it however you want.", 
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/OPSCORE3.png", 30f), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/opscorefast7.png", 6f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Armor/opscorefast7.png", 6f);
                        prop.armorPoints = 300;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );
			

			
								
			            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "AM-95 Helmet Cover", 
                    DescriptionOverride = "The AM-95 helmet is a German helmet made in 1980s, it has holes for headphones on both sides and its rare appearance rewards it with its quality. The priority is to use it on the Riot Police, but use it however you want.", 
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/Riot Police Helmet.png", 30f), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/riothelmet.png", 6f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Armor/riothelmet.png", 6f);
                        prop.armorPoints = 300;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );
			
			
			            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "Police Beret", 
                    DescriptionOverride = "A beret for police or another forces", 
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/Police Beret.png"), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/policeberet.png", 6f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Armor/policeberet.png", 6f);
                        prop.armorPoints = 300;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );

            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "HighCom Trooper CAP, Plate Carrier, Variant 2", 
                    DescriptionOverride = "The HighCom Trooper CAP plate carrier is a level 3 plate carrier function bulletproof vest produced by the Highcom company with different points of additions, such as ammunition pockets, compatibility to hook objects, backpacks, extra pockets, personal first aid kits and others. The priority is to use it for the GSG-9, but you can use it however you want.", 
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/GSG9 Vest.png", 30f), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/gsg9vest2.png", 6); 

                        int PartCount = 2;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        Vector3 offset = new Vector3(0f, 0f);
                        Vector3 scaleOffset = new Vector3(0f, 0f);                  
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Armor/gsg9vest2.png", 6);
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 200;
                        armor.prop = prop;
                        armor.SetProperties();
                        
                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("Armor/gsg9vest1.png", 6);
                        armProp[0].armorPiece = "MiddleBody";
                        armProp[0].offset = offset;
                        armProp[0].armorTier = 3;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 200;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
			
			
					ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "HighCom Trooper CAP, Plate Carrier, Variant 1", 
                    DescriptionOverride = "The HighCom Trooper CAP plate carrier is a level 3 plate carrier function bulletproof vest produced by the Highcom company with different points of additions, such as ammunition pockets, compatibility to hook objects, backpacks, extra pockets, personal first aid kits and others. The priority is to use it for the Federal Police, but you can use it however you want.", 
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/Federal Police Vest.png", 30f), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/federalpolicevest1.png", 6); 

                        int PartCount = 2;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        Vector3 offset = new Vector3(0f, 0f);
                        Vector3 scaleOffset = new Vector3(0f, 0f);                  
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Armor/federalpolicevest1.png", 6);
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 200;
                        armor.prop = prop;
                        armor.SetProperties();
                        
                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("Armor/federalpolicevest2.png", 6);
                        armProp[0].armorPiece = "MiddleBody";
                        armProp[0].offset = offset;
                        armProp[0].armorTier = 3;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 200;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
			
						    ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bowling Pin"), 
                    NameOverride = "Federal Police Hat", 
                    DescriptionOverride = "The helmet used by the German Federal Police to protect themselves from problems caused by the sun and other atmospheric conditions.", 
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/Federal Police Hat.png", 30f), 
                    AfterSpawn = (Instance) => 
                    {   
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/federalpolicehat.png", 6f); 
                        int PartCount = 1;
                        Instance.GetOrAddComponent<ArmorBehaviour>();
                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        prop.armorPiece = "Head";
                        prop.armorTier = 1;
                        prop.sprite = ModAPI.LoadSprite("Armor/federalpolicehat.png", 6f);
                        prop.armorPoints = 10;
                        prop.offset = new Vector2(0f, 2f) * ModAPI.PixelSize;
                        armor.prop = prop;
                        armor.SetProperties();

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                        }
                        Instance.FixColliders();
                    }
                }
            );
									
			
			          ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "RIOT Police Shield",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A protective shield not at the same level as ballistics, it is used for protests and others.",
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"),
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/RIOT Police Shield.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/riotpoliceshield.png", 6f);

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders();
                    }
                }
            );
			
						          ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Bulletproof Sheet"),
                    NameOverride = "S.E.K Shield",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "A ballistic Shield is used for CQB encounters to breach buildings and gain distance onto a suspect. As additional information, a flashlight is usually equipped on the front, in some cases a blindness flashlight, that is, it flashes to disorient and in others an illuminating flashlight.",
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"),
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/SEK Ballistic Shield.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/sekshield.png", 6f);

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
						}
                        Instance.FixColliders();
                    }
                }
            );
			
			      ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "HighCom Trooper CAP, Plate Carrier, Variant 3", 
                    DescriptionOverride = "The HighCom Trooper CAP plate carrier is a level 3 plate carrier function bulletproof vest produced by the Highcom company with different points of additions, such as ammunition pockets, compatibility to hook objects, backpacks, extra pockets, personal first aid kits and others. The priority is to use it for the S.E.K, but you can use it however you want.", 
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/SEK Vest 4.png", 30f), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/sekvest1.png", 6); 

                        int PartCount = 2;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        Vector3 offset = new Vector3(0f, 0f);
                        Vector3 scaleOffset = new Vector3(0f, 0f);                  
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Armor/sekvest2.png", 6);
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 200;
                        armor.prop = prop;
                        armor.SetProperties();
                        
                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("Armor/sekvest1.png", 6);
                        armProp[0].armorPiece = "MiddleBody";
                        armProp[0].offset = offset;
                        armProp[0].armorTier = 3;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 200;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
			
						      ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "HighCom Trooper CAP, Plate Carrier, Variant 5", 
                    DescriptionOverride = "The HighCom Trooper CAP plate carrier is a level 3 plate carrier function bulletproof vest produced by the Highcom company with different points of additions, such as ammunition pockets, compatibility to hook objects, backpacks, extra pockets, personal first aid kits and others. The priority is to use it for the S.E.K, but you can use it however you want.", 
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/SEK Vest 1.png", 30f), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/sekvest4.png", 6); 

                        int PartCount = 2;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        Vector3 offset = new Vector3(0f, 0f);
                        Vector3 scaleOffset = new Vector3(0f, 0f);                  
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Armor/sekvest5.png", 6);
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 200;
                        armor.prop = prop;
                        armor.SetProperties();
                        
                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("Armor/sekvest4.png", 6);
                        armProp[0].armorPiece = "MiddleBody";
                        armProp[0].offset = offset;
                        armProp[0].armorTier = 3;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 200;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
			
									      ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "HighCom Trooper CAP, Plate Carrier, Variant 6", 
                    DescriptionOverride = "The HighCom Trooper CAP plate carrier is a level 3 plate carrier function bulletproof vest produced by the Highcom company with different points of additions, such as ammunition pockets, compatibility to hook objects, backpacks, extra pockets, personal first aid kits and others. The priority is to use it for the S.E.K, but you can use it however you want.", 
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/SEK Vest 2.png", 30f), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/sekvest6.png", 6); 

                        int PartCount = 2;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        Vector3 offset = new Vector3(0f, 0f);
                        Vector3 scaleOffset = new Vector3(0f, 0f);                  
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Armor/sekvest5.png", 6);
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 200;
                        armor.prop = prop;
                        armor.SetProperties();
                        
                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("Armor/sekvest6.png", 6);
                        armProp[0].armorPiece = "MiddleBody";
                        armProp[0].offset = offset;
                        armProp[0].armorTier = 3;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 200;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
			
						      ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), 
                    NameOverride = "HighCom Trooper CAP, Plate Carrier, Variant 4", 
                    DescriptionOverride = "The HighCom Trooper CAP plate carrier is a level 3 plate carrier function bulletproof vest produced by the Highcom company with different points of additions, such as ammunition pockets, compatibility to hook objects, backpacks, extra pockets, personal first aid kits and others. The priority is to use it for the S.E.K, but you can use it however you want.", 
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), 
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/SEK Vest 5.png", 30f), 
                    AfterSpawn = (Instance) => 
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/sekvest3.png", 6); 

                        int PartCount = 2;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();
                        ArmorProperties prop = new ArmorProperties();
                        Vector3 offset = new Vector3(0f, 0f);
                        Vector3 scaleOffset = new Vector3(0f, 0f);                  
                        prop.armorPiece = "UpperBody";
                        prop.armorTier = 3;
                        prop.sprite = ModAPI.LoadSprite("Armor/sekvest2.png", 6);
                        prop.offset = offset;
                        prop.scaleOffset = scaleOffset;
                        prop.armorPoints = 200;
                        armor.prop = prop;
                        armor.SetProperties();
                        
                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        armProp[0].sprite = ModAPI.LoadSprite("Armor/sekvest3.png", 6);
                        armProp[0].armorPiece = "MiddleBody";
                        armProp[0].offset = offset;
                        armProp[0].armorTier = 3;
                        armProp[0].scaleOffset = scaleOffset;
                        armProp[0].armorPoints = 200;

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
			
					ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "S.E.K Operator Team F1, Variant 1", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "Spezialeinsatzkommando are police tactical units of each of the 16 German State Police forces.", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/Sek Operator.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("sekoperator1.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            );  
			
								ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "S.E.K Operator Team F1, Variant 3", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "Spezialeinsatzkommando are police tactical units of each of the 16 German State Police forces.", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/Sek Operator.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("sekoperator3.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            ); 
			
											ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "S.E.K Operator Team F1, Variant 4", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "Spezialeinsatzkommando are police tactical units of each of the 16 German State Police forces.", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/Sek Operator.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("sekoperator7.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            ); 
			
								ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "S.E.K Operator Team F2, Variant 4", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "Spezialeinsatzkommando are police tactical units of each of the 16 German State Police forces.", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/Sek Operator Bacalava.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("sekoperator8.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            );
			
						
			
											ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "S.E.K Operator Team F1, Variant 2", //name
                    NameToOrderByOverride = "S.E.K Operator Team F1, Variant 2",
                    DescriptionOverride = "Spezialeinsatzkommando are police tactical units of each of the 16 German State Police forces.", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/Sek Operator.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("sekoperator2.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            );
			
						
								ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Federal Police, Variant 1", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "Federal Police of Germany, they carry out simple policing tasks.", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/Federal Police 2.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("federalpolice1.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            );
			
									ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Federal Police, Variant 2", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "Federal Police of Germany, they carry out simple policing tasks.", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/Federal Police 2.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("federalpolice2.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            );
			
										ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Federal Police, Variant 3", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "Federal Police of Germany, they carry out simple policing tasks.", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/Federal Police 3.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("federalpolice3.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            );
			
						
										ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Federal Police, Variant 4", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "Federal Police of Germany, they carry out simple policing tasks.", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/Federal Police 3.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("federalpolice4.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            );
			
													ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Federal Police, Variant 5", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "Federal Police of Germany, they carry out simple policing tasks.", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/Federal Police 3.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("federalpolice5.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            );
			
												ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Riot Police", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "Riot Control units deployed against protests deemed harmfuls", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/Riot Police.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("riotpolice.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            );
			
			
			
										ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "S.E.K Operator Team F2, Variant 1", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "Spezialeinsatzkommando are police tactical units of each of the 16 German State Police forces.", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/Sek Operator Bacalava.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("sekoperator4.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            );
			
				
					ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "S.E.K Operator Team F2, Variant 2", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "Spezialeinsatzkommando are police tactical units of each of the 16 German State Police forces.", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/Sek Operator Bacalava.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("sekoperator5.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            );  
			
								ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "S.E.K Operator Team F2, Variant 3", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "Spezialeinsatzkommando are police tactical units of each of the 16 German State Police forces.", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/Sek Operator Bacalava.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("sekoperator6.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            );
			
										ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "GSG-9 F-GE Team, Variant 1", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "Grenzschutzgruppe 9 As a consequence of the mismanagement of the Munich tragedy, the West German government formed the new counter-terrorism unit named GSG 9 under the leadership of then Oberstleutnant Ulrich Wegener.", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/GSG9.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("gsg9v1.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            );
			
													ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "GSG-9 F-GE Team, Variant 4", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "Grenzschutzgruppe 9 As a consequence of the mismanagement of the Munich tragedy, the West German government formed the new counter-terrorism unit named GSG 9 under the leadership of then Oberstleutnant Ulrich Wegener.", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/GSG9.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("gsg9v7.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            );
			
							ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "GSG-9 F-GE Team, Variant 2", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "(Grenzschutzgruppe 9) As a consequence of the mismanagement of the Munich tragedy, the West German government formed the new counter-terrorism unit named GSG 9 under the leadership of then Oberstleutnant Ulrich Wegener.", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/GSG9.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("gsg9v2.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            );    
			
						
					ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "GSG-9 F-GE Team, Variant 3", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "Grenzschutzgruppe 9 As a consequence of the mismanagement of the Munich tragedy, the West German government formed the new counter-terrorism unit named GSG 9 under the leadership of then Oberstleutnant Ulrich Wegener.", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/GSG9.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("gsg9v3.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            ); 
			
								ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "GSG-9 F-ST Team, Variant 1", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "Grenzschutzgruppe 9 As a consequence of the mismanagement of the Munich tragedy, the West German government formed the new counter-terrorism unit named GSG 9 under the leadership of then Oberstleutnant Ulrich Wegener.", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/GSG9 6.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("gsg9v4.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            ); 
			
						
								ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "GSG-9 F-ST Team, Variant 4", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "Grenzschutzgruppe 9 As a consequence of the mismanagement of the Munich tragedy, the West German government formed the new counter-terrorism unit named GSG 9 under the leadership of then Oberstleutnant Ulrich Wegener.", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/GSG9 6.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("gsg9v8.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            ); 

 				 
		ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "GSG-9 F-ST Team, Variant 2", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "Grenzschutzgruppe 9 As a consequence of the mismanagement of the Munich tragedy, the West German government formed the new counter-terrorism unit named GSG 9 under the leadership of then Oberstleutnant Ulrich Wegener.", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/GSG9 6.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("gsg9v5.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            );   
			
					ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "GSG-9 F-ST Team, Variant 3", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "Grenzschutzgruppe 9 As a consequence of the mismanagement of the Munich tragedy, the West German government formed the new counter-terrorism unit named GSG 9 under the leadership of then Oberstleutnant Ulrich Wegener.", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/GSG9 6.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("gsg9v6.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            );    
			
						
					ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "S.E.K Casual Operator, Variant 1", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "Spezialeinsatzkommando are police tactical units of each of the 16 German State Police forces.", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/Sek Operator Casual.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("sekoperatorcasual.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            ); 
			
								ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "S.E.K Casual Operator, Variant 2", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "Spezialeinsatzkommando are police tactical units of each of the 16 German State Police forces.", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/Sek Operator Casual 2.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("sekoperatorcasual2.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            ); 

 				 
		ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "S.E.K Casual Operator, Variant 3", //name
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "Spezialeinsatzkommando are police tactical units of each of the 16 German State Police forces.", //description
                    CategoryOverride = ModAPI.FindCategory("Law Enforcement: Germany"), //Category
                    ThumbnailOverride = ModAPI.LoadSprite("ICONS/Sek Operator Casual 3.png", 30f),
                    AfterSpawn = (Instance) =>
                    {
						
                        var skin = ModAPI.LoadTexture("sekoperatorcasual3.png"); //file
	                    var flesh = ModAPI.LoadTexture("6f_flesh.png"); //flesh
	                    var bone = ModAPI.LoadTexture("6f_bone.png"); //bone
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6); //number is pixel scale
						
            
                
                    }
                }
            );      
              }               
           

public class MultipleSpriteHumanBehaviour : MonoBehaviour
    {
        public Texture2D[] Textures = new Texture2D[0];
        public PersonBehaviour person;
        public int CurrentTexture = -2;
        public int Scale = 6;

        void Start()
        {
            SetTexture();
        }

        public void SetTexture()
        {
            if (Textures.Length == 0)
                return;

            if(CurrentTexture == -2)
            {
                CurrentTexture = UnityEngine.Random.Range(0, Textures.Length);
            }
            person.SetBodyTextures(Textures[CurrentTexture], null, null, Scale);
            for (int i = 0; i < person.Limbs.Length; i++)
            {
                person.Limbs[i].gameObject.GetComponent<PhysicalBehaviour>().RefreshOutline();
            }
        }
}    }
}